<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>library_dir_dir/include/apl_lex_pseudo_chars.incl.alm</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>
<span id="L2" class="LineNr"> 2 </span>&quot; BEGIN INCLUDE FILE apl_lex_pseudo_chars.incl.alm
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>&quot; These are codes which are used by the lex as if they were characters,
<span id="L5" class="LineNr"> 5 </span>&quot; for purposes of looking up in the char_index table in apl_lex_tables_.
<span id="L6" class="LineNr"> 6 </span>&quot; In this way these codes lead to operator beads.
<span id="L7" class="LineNr"> 7 </span>&quot; However these codes are not characters but special pseudo-characters
<span id="L8" class="LineNr"> 8 </span>&quot; generated by the lex from multi-character sequences.
<span id="L9" class="LineNr"> 9 </span>&quot; At present these codes start at 200 <span class="textRainbow_lv0_p0">(</span>decimal<span class="textRainbow_lv0_p0">)</span>, which is a little above
<span id="L10" class="LineNr">10 </span>&quot; the end of the regular characters.
<span id="L11" class="LineNr">11 </span>&quot; 6/18/73 DAM
<span id="L12" class="LineNr">12 </span>&quot; Modified 740131 by PG for new system variables.
<span id="L13" class="LineNr">13 </span>&quot; Modified 781115 by PG to add SemiColonCons.
<span id="L14" class="LineNr">14 </span>&quot; Modified 790207 by William M. York to add file system functions.
<span id="L15" class="LineNr">15 </span>&quot; Modified 811211 by H. Hoover <span class="textRainbow_lv0_p0">(</span>UofC<span class="textRainbow_lv0_p0">)</span> to add QuadCALL &amp; QuadCALLSemicolon.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>          equ       SDelta,201
<span id="L18" class="LineNr">18 </span>          equ       TDelta,202
<span id="L19" class="LineNr">19 </span>          equ       QuadCT,203
<span id="L20" class="LineNr">20 </span>          equ       QuadIO,204
<span id="L21" class="LineNr">21 </span>          equ       QuadLX,205
<span id="L22" class="LineNr">22 </span>          equ       QuadPP,206
<span id="L23" class="LineNr">23 </span>          equ       QuadPW,207
<span id="L24" class="LineNr">24 </span>          equ       QuadRL,208
<span id="L25" class="LineNr">25 </span>          equ       QuadAI,209
<span id="L26" class="LineNr">26 </span>          equ       QuadLC,210
<span id="L27" class="LineNr">27 </span>          equ       QuadTS,211
<span id="L28" class="LineNr">28 </span>          equ       QuadTT,212
<span id="L29" class="LineNr">29 </span>          equ       QuadUL,213
<span id="L30" class="LineNr">30 </span>          equ       QuadWA,214
<span id="L31" class="LineNr">31 </span>          equ       QuadWU,215                    extra
<span id="L32" class="LineNr">32 </span>          equ       QuadCS,216                    extra
<span id="L33" class="LineNr">33 </span>          equ       AssignSub,217
<span id="L34" class="LineNr">34 </span>          equ       AssignIgnore,218
<span id="L35" class="LineNr">35 </span>          equ       RightOprBracket,219
<span id="L36" class="LineNr">36 </span>          equ       QuadCR,220
<span id="L37" class="LineNr">37 </span>          equ       QuadFX,221
<span id="L38" class="LineNr">38 </span>          equ       QuadEX,222
<span id="L39" class="LineNr">39 </span>          equ       QuadNL,223
<span id="L40" class="LineNr">40 </span>          equ       QuadNC,224
<span id="L41" class="LineNr">41 </span>          equ       QuadDL,225
<span id="L42" class="LineNr">42 </span>          equ       QuadSVO,226
<span id="L43" class="LineNr">43 </span>          equ       QuadSVC,227
<span id="L44" class="LineNr">44 </span>          equ       QuadSVQ,228
<span id="L45" class="LineNr">45 </span>          equ       QuadSVR,229
<span id="L46" class="LineNr">46 </span>          equ       QuadIT,230
<span id="L47" class="LineNr">47 </span>          equ       QuadEC,231
<span id="L48" class="LineNr">48 </span>          equ       QuadAF,232
<span id="L49" class="LineNr">49 </span>          equ       SemiColonCons,233
<span id="L50" class="LineNr">50 </span>          equ       QuadFADDACL,234
<span id="L51" class="LineNr">51 </span>          equ       QuadFAPPEND,235
<span id="L52" class="LineNr">52 </span>          equ       QuadFCREATE,236
<span id="L53" class="LineNr">53 </span>          equ       QuadFDELETEACL,237
<span id="L54" class="LineNr">54 </span>          equ       QuadFDROP,238
<span id="L55" class="LineNr">55 </span>          equ       QuadFERASE,239
<span id="L56" class="LineNr">56 </span>          equ       QuadFHOLD,240
<span id="L57" class="LineNr">57 </span>          equ       QuadFLIB,241
<span id="L58" class="LineNr">58 </span>          equ       QuadFLIM,242
<span id="L59" class="LineNr">59 </span>          equ       QuadFLISTACL,243
<span id="L60" class="LineNr">60 </span>          equ       QuadFNAMES,244
<span id="L61" class="LineNr">61 </span>          equ       QuadFNUMS,245
<span id="L62" class="LineNr">62 </span>          equ       QuadFRDCI,246
<span id="L63" class="LineNr">63 </span>          equ       QuadFREAD,247
<span id="L64" class="LineNr">64 </span>          equ       QuadFRENAME,248
<span id="L65" class="LineNr">65 </span>          equ       QuadFREPLACE,249
<span id="L66" class="LineNr">66 </span>          equ       QuadFSETACL,250
<span id="L67" class="LineNr">67 </span>          equ       QuadFSIZE,251
<span id="L68" class="LineNr">68 </span>          equ       QuadFSTIE,252
<span id="L69" class="LineNr">69 </span>          equ       QuadFTIE,253
<span id="L70" class="LineNr">70 </span>          equ       QuadFUNTIE,254
<span id="L71" class="LineNr">71 </span>          equ       QuadCALL,255
<span id="L72" class="LineNr">72 </span>          equ       QuadCALLSemicolon,256
<span id="L73" class="LineNr">73 </span>
<span id="L74" class="LineNr">74 </span>&quot; END INCLUDE FILE apl_lex_pseudo_chars.incl.alm
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
